Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.filters
Class FilterBase

    java.lang.Object
      org.apache.catalina.filters.FilterBase

All Implemented Interfaces:
  Filter

Direct Known Subclasses:
  AddDefaultCharsetFilter, CsrfPreventionFilter, ExpiresFilter, FailedRequestFilter, RequestFilter, SetCharacterEncodingFilter

    public abstract class FilterBase

extends Object
implements Filter

Base class for filters that provides generic initialisation and a simple no-op destruction.

Author:
  xxd

Field Summary
`protected static StringManager` | `sm`

Constructor Summary
`FilterBase()`

Method Summary
`void` | `destroy()` Called by the web container to indicate to a filter that it is being taken out of service.
`protected abstract Log` | `getLogger()`
`void` | `init(FilterConfig filterConfig)` Called by the web container to indicate to a filter that it is being placed into service.
`protected boolean` | `isConfigProblemFatal()` Determines if an exception when calling a setter or an unknown configuration attribute triggers the failure of the this filter which in turn will prevent the web application from starting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.Filter
`doFilter`

Field Detail

### sm

    protected static final StringManager sm

Constructor Detail

### FilterBase

    public FilterBase()

Method Detail

### getLogger

    protected abstract Log getLogger()

### init

    public void init(FilterConfig filterConfig)
              throws ServletException

  Description copied from interface: `javax.servlet.Filter`
  Called by the web container to indicate to a filter that it is being placed into service. The servlet container calls the init method exactly once after instantiating the filter. The init method must complete successfully before the filter is asked to do any filtering work.
  The web container cannot place the filter into service if the init method either
  1.Throws a ServletException
  2.Does not return within a time period defined by the web container

  Specified by:
    `init` in interface `Filter`
  Throws:
    `ServletException`

### destroy

    public void destroy()

  Description copied from interface: `javax.servlet.Filter`
  Called by the web container to indicate to a filter that it is being taken out of service. This method is only called once all threads within the filter's doFilter method have exited or after a timeout period has passed. After the web container calls this method, it will not call the doFilter method again on this instance of the filter.
  This method gives the filter an opportunity to clean up any resources that are being held (for example, memory, file handles, threads) and make sure that any persistent state is synchronized with the filter's current state in memory.

  Specified by:
    `destroy` in interface `Filter`

### isConfigProblemFatal

    protected boolean isConfigProblemFatal()

  Determines if an exception when calling a setter or an unknown configuration attribute triggers the failure of the this filter which in turn will prevent the web application from starting.

  Returns:
    `true` if a problem should trigger the failure of this filter, else `false`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.